<md-dialog flex="50" class="dashboard-email-dialog styled-modal" aria-label="User profile" zafira-background-theme="modal">
    <form class="form-validation styled-modal__form" name="email_form" ng-submit="$ctrl.sendEmail(); $ctrl.UtilService.untouchForm(email_form)" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">Email</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="$ctrl.cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                <div layout layout-xs="column" class="input-size-m">
                    <md-input-container>
                        <label class="placeholder-label">Name</label>
                        <input name="subject" type="text" data-ng-model="$ctrl.email.subject" required/>
                    </md-input-container>
                </div>
                <div layout layout-sm="column" ng-cloak>
                    <md-input-container class="md-input-has-value" flex>
                        <label class="placeholder-label">Text</label>
                        <textarea ng-model="$ctrl.email.text" rows="3" required></textarea>
                    </md-input-container>
                </div>
                <div layout layout-sm="column">
                    <md-input-container flex class="chips-input-container _with-img">
                        <label name="recipientsLength">Recipients ({{$ctrl.email.recipients.length}})</label>
                        <md-chips ng-model="$ctrl.users"
                                  class="photo-chip"
                                  filter-selected=true
                                  md-autocomplete-snap
                                  md-transform-chip="$ctrl.UtilService.checkAndTransformRecipient($chip, $ctrl.email.recipients, $ctrl.users)"
                                  md-on-remove="$ctrl.UtilService.removeRecipient($chip, $ctrl.email.recipients)"
                                  md-add-on-blur="true"
                                  md-separator-keys="$ctrl.keys">
                            <md-chip-template name="chip">
                                <profile-photo ng-model="$chip.photoUrl" chip="true" size="40" squared="20" auto-resize="false"></profile-photo>
                                {{$chip.email}}
                            </md-chip-template>
                            <md-autocomplete
                                md-autoselect
                                ng-model-options="{ debounce: 700 }"
                                md-no-cache="true"
                                md-search-text="$ctrl.searchText"
                                md-items="user in $ctrl.querySearch()"
                                md-item-text="user.email"
                                md-selected-item="$ctrl.currentUser"
                                md-selected-item-change="$ctrl.clearInputOnSelect()"
                                placeholder="Add email">
                                <md-item-template name="suggestion">
                                    <span class="chip-suggestion">
                                        <profile-photo ng-model="user.photoUrl" chip="true" size="40" squared="20"></profile-photo>
                                        {{user.email}}
                                    </span>
                                </md-item-template>
                                <md-not-found id="notRecipients">
                                    No users matching "{{$ctrl.searchText}}" were found.
                                </md-not-found>
                            </md-autocomplete>
                        </md-chips>
                    </md-input-container>
                </div>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button id="send" class="md-raised md-primary" data-ng-click="$ctrl.sendEmail()" data-ng-disabled="email_form.$invalid || !$ctrl.email.recipients.length || $ctrl.sendingEmail">
                Send
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
